package kr.co.uplus.ez.api.custMgt.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class UpdateAdminInfoResDto extends ResponseMessage implements Serializable{

	// 데이터.
	private Object data;

	public UpdateAdminInfoResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public UpdateAdminInfoResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public UpdateAdminInfoResDto(ApiResponseCode returnStr, Object data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
		

}
